Home_greyopenFATE - openSUSE feature tracking > #309693
Dashboard | Search | Sign up | Login

Please login or register to be able to edit or vote this feature.

Banshee - Improved ipod support

Feature state

Hackweek V
Unconfirmed

Description

Banshee currently uses podsleuth to interoperate with ipods. This solution does not support the encryption and obfustication on newer firmwares thus making it useless for newer ipods.

The aim of this hack is to implement an alternative ipod addin based on libgpod.

User benefit:

You want this to work!

Usecase

Your friend comes over with his ipod, you plug it in and *bam*, it doesn't work.

Or how about you upgrade to the latest firmware to gain new features/bugfixes and *bam*, your ipod stops working with banshee.

Discussion


icons/user_comment.png G. B. wrote: (7 years ago)

Hey Alan, I saw on your blog post you said something about making a new ipod addin.  I'd like to encourage you to instead modify the existing one.

icons/user_comment.png A. M. wrote: (7 years ago)

Sure, when i said 'write a new one' i will literally be copying/pasting the old one and switching it to libgpod :) My aim is to just create a branch in git and butcher the existing addin. I'll leave the merging mess afterwards to you fine folks in banshee ;)

icons/user_comment.png A. W. wrote: (7 years ago)

With current versions of packages installed via one-click installer from the Banshee project my iPod has been working well and reliably with Banshee 1.8.1 and openSUSE 11.3

Last change: 7 years ago
Voting
Score: 7
  • Negative: 0
  • Neutral: 0
  • Positive: 7
Tags
Feature Export
Application-xmlXML   Text-x-logPlaintext   PrinterPrint